Subject: bug#61917: 29.0.60; native compilation issues

From: Al Haji-Ali <[email-masked]>
Date: Thu, 09 Mar 2023 16:35:08 +0000

On 09/03/2023, Eli Zaretskii wrote:
>> For the libgccjit error I'm on hold waiting for a reproducer from the
>> reprorter.

I figured out a minimal example on Emacs 29.0.60

1. Start `emacs -Q`

2. execute the following

(advice-add 'delete-region
            :around
            (defun my/advice(fn &rest args)
              (apply fn args)))

3. Native-compile a file with the following content

(defun test ()
  (delete-region (region-beginning) (region-end)))

using for example `(native-compile buffer-file-name)`

I then get the error

libgccjit.so: error: gcc_jit_context_new_call_through_ptr: mismatching types for argument 1 of fn_ptr: freloc->R64656c6574652d726567696f6e_delete_region_0: assignment to param 1 (type: struct Lisp_X *) from (long long)2 (type: long long)

-- Al